/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.betavzw;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Jef
 */
@WebServlet(name = "KeuzeServlet", urlPatterns = {"/KeuzeServlet"})
public class KeuzeServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String taal = geefTaalVanCookie(request);
        if ("NL".equals(taal)) {
            request.getRequestDispatcher("nederlands.jsp").forward(request, response);
        } else if ("FR".equals(taal)) {
            request.getRequestDispatcher("francais.jsp").forward(request, response);
        } else {
            request.getRequestDispatcher("keuze.jsp").forward(request, response);
        }

    }

    private String geefTaalVanCookie(HttpServletRequest request) {
        String taal = null;
        Cookie[] cookies = request.getCookies();
        if (cookies != null) {
            System.out.println("cookies != null");
            int i = 0;
            while (i < cookies.length && (!cookies[i].getName().equals("taal"))) {
                i++;
                System.out.println("i= " + i);
            }
            System.out.println("i= " + i);
            if (i < cookies.length) {
                taal = cookies[i].getValue();
            }
        }
        return taal;
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
