/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.betavzw;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Jef
 */
@WebServlet(name = "WinkelWagenServlet", urlPatterns = {"/WinkelWagenServlet"})
public class WinkelWagenServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String product = request.getParameter("product");
        Map<String, Integer> wagen = geefWagen(request);
        voegProductToe(wagen, product);
        request.getRequestDispatcher("index.jsp").forward(request, response);
    }

    private Map<String, Integer> geefWagen(HttpServletRequest request) {
        Map<String, Integer> winkelwagen = (Map<String, Integer>) request.getSession().getAttribute("winkelwagen");
        if (winkelwagen == null) {
            winkelwagen = new HashMap<>();
            request.getSession().setAttribute("winkelwagen", winkelwagen);
        }
        return winkelwagen;
    }

    private void voegProductToe(Map<String, Integer> wagen, String product) {
        int aantal = 0;
        if (wagen.containsKey(product)) {
            aantal = wagen.get(product);
        }
        aantal++;
        wagen.put(product, aantal);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
